<?php
############################################################################
#
#   Project:    Today Weather History
#   Purpose:    Provide Weather History for Website
#   Author:     Michael (http://www.relayweather.com)
#   Version:    2.1
#        
#
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
# This document uses Tab 4 Settings
############################################################################
require_once("Settings.php");
require_once("common.php");
############################################################################
$TITLE= $SITE['organ'] . " - Weather History for Today";
$showGizmo = true;  // set to false to exclude the gizmo
include("top.php");
############################################################################
?>
</head>
<body>
<?php
############################################################################
include("header.php");
############################################################################
include("menubar.php");
############################################################################
/////////////////////////////////////////////////////////////////////////////
//SETTINGS START HERE////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////

// Page containing the history
$urlfile = "http://www.weatherforyou.com/weather_history/";

// Set the time zone
$ourTZ = 'America/New_York';

// Name of cache file
$cacheFile = "wxtodayhistoryCache.php";

/////////////////////////////////////////////////////////////////////////////
//END SETTINGS///////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
?>

<div id="main-copy"><br />
<span style="font-size: 130%; color: black; font-weight:bold;">Today in Weather History:</span><br /><span style="font-size: 95%; color: black; font-weight:bold;">for this day <?php echo date("F j") ?></span>
<img src="Relay_logo_85.png" align="right" border="0" width="55" height="55" alt="" />
<br/>
<hr id="snippets-1" /> <br/>




<?php

// This is for error reporting
//ini_set('display_errors', 1); 
//error_reporting(E_ALL);

// Establish the time zone
if (isset ($SITE['tz'])) {
  $ourTZ = $SITE['tz'];
}
date_default_timezone_set("$ourTZ");
$dateToday = date("d");
$fullCachedDate = date("M j\, g:ia");

// get the cache file date. For checking and updating cache file.
if (file_exists($cacheFile)) {
   echo "\n<!-- The file $cacheFile exists -->\n";
   $cacheDate = date("d", filemtime($cacheFile));
   $fullCachedDate = date("M j\, g:ia", filemtime($cacheFile));
   $filesize = filesize($cacheFile);
    if (0 == $filesize){
        $cacheDate = 0;
    }
} else {
    $cacheDate = 0;
}   

//   open the cache file and write the new data and then close the file.
if ($cacheDate !== $dateToday){
   $filecontents = implode(' ', file($urlfile)); 
   $fp2 = fopen($cacheFile, 'w');
   fwrite($fp2, $filecontents);
   fclose($fp2);
   echo "<!-- The cache date ($cacheDate) is not equal to today's date ($dateToday) and fresh data re-wrote the cache file -->\n";
} else {
   echo "<!-- The cache date ($cacheDate) is still equal to today's date ($dateToday) and fresh data was NOT written to the cache file -->\n";
// Open the cache file, read it, then close it   
    $handle7 = fopen($cacheFile, "r");
    $filesize = filesize($cacheFile);
    $filecontents = fread($handle7, $filesize);
    fclose($handle7);
}

$filecontents = preg_replace("|<a href=\"(.*)\">(.*)</a>|Uis", '<a href="${1}" title="  Courtesy of ${2}" style="color: black">${2}</a>', $filecontents);


// match the date and description in one string
preg_match_all('|<span style="font-weight: bold;">(.*)</span> - (.*)\n|Uis',$filecontents, $years);


//Shuffle years
//array_rand($years);

// count the dates
$yearCount = count($years[1]);

// for each date, print the date and description
for ($i = 0; $i < $yearCount; $i++){
    print "\n<br />";
    print '<span style="font-size: 90%; font-weight:bold; text-align:left; color: #E85163;">' . date("F j, ") . $years[1][$i] . "</span>\n<br />";
    print '<span style="font-size: 90%; text-align:left;">' . $years[2][$i] . "</span>\n<br /><br />";
    print "\n<br />";
}
?>
<table width="650">
<tr><td style="font-size: 9px;">Data courtesy of <a href='http://www.weatherforyou.com/'><strong>WeatherForYou</strong></a></td></tr>
</table>

<br />
<br />
<br />
<br />
<br />
<br />


</div><!-- end main-copy -->




<?php
############################################################################
include("footer.php");
############################################################################
# End of Page
############################################################################
?>





