<?php
############################################################################
#
#   Project:    Today Weather History for Dashboard
#   Purpose:    Provide Weather History for Website
#   Author:     Michael (http://www.relayweather.com)
#   Version:    2.0
#        
#
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
# This document uses Tab 4 Settings
############################################################################
require_once("Settings.php");
require_once("common.php");
/////////////////////////////////////////////////////////////////////////////
//SETTINGS START HERE////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////

// Page containing the history
$urlfile = "http://www.weatherforyou.com/history/";

// Set the time zone
$ourTZ = 'America/New_York';

// Name of cache file
$cacheFile = "wxtodayhistoryCache.php";

/////////////////////////////////////////////////////////////////////////////
//END SETTINGS///////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////


// This is for error reporting
//ini_set('display_errors', 1); 
//error_reporting(E_ALL);

// Establish the time zone
if (isset ($SITE['tz'])) {
  $ourTZ = $SITE['tz'];
}
date_default_timezone_set("$ourTZ");
$dateToday = date("d");
$fullCachedDate = date("M j\, g:ia");

// get the cache file date. For checking and updating cache file.
if (file_exists($cacheFile)) {
   echo "\n<!-- The file $cacheFile exists -->\n";
   $cacheDate = date("d", filemtime($cacheFile));
   $fullCachedDate = date("M j\, g:ia", filemtime($cacheFile));
   $filesize = filesize($cacheFile);
    if (0 == $filesize){
        $cacheDate = 0;
    }
} else {
    $cacheDate = 0;
}   

//   open the cache file and write the new data and then close the file.
if ($cacheDate !== $dateToday){
   $filecontents = implode(' ', file($urlfile)); 
   $fp2 = fopen($cacheFile, 'w');
   fwrite($fp2, $filecontents);
   fclose($fp2);
   echo "<!-- The cache date ($cacheDate) is not equal to today's date ($dateToday) and fresh data re-wrote the cache file -->\n";
} else {
   echo "<!-- The cache date ($cacheDate) is still equal to today's date ($dateToday) and fresh data was NOT written to the cache file -->\n";
// Open the cache file, read it, then close it   
    $handle7 = fopen($cacheFile, "r");
    $filesize = filesize($cacheFile);
    $filecontents = fread($handle7, $filesize);
    fclose($handle7);
}

$filecontents = preg_replace("|<a href=\"(.*)\">(.*)</a>|Uis", '<a href="${1}" title="  Courtesy of ${2}" style="color: white">${2}</a>', $filecontents);


// match the date and description in one string
preg_match_all('|<span style="font-weight: bold;">(.*)</span> - (.*)\)|Uis', $filecontents, $years);

// count the dates
$yearCount = count($years[1]);

// for each date, print the date and description
// first random year
$randomNumber = rand(1, $yearCount - 1);
    
// second year
$randomNumber2 = $randomNumber - 1;

?>








